### Method

# Meta Window move_resize_frame

#### Declaration [src]

    void
    meta_window_move_resize_frame (
      MetaWindow* window,
      gboolean user_op,
      int root_x_nw,
      int root_y_nw,
      int w,
      int h
    )

#### Description [src]

Resizes the window so that its outer bounds (including frame) fit within the given rect.

#### Parameters

`user_op`

  Type: `gboolean`

  Bool to indicate whether or not this is a user operation.

`root_x_nw`

  Type: `int`

  New x.

`root_y_nw`

  Type: `int`

  New y.

`w`

  Type: `int`

  Desired width.

`h`

  Type: `int`

  Desired height.